<?php
// $Id: modinfo.php,v 1.3 2005/10/28 11:56:05 ohwada Exp $

// 2005-10-20 K.OHWADA
// BUG 3111: timeout occurs in popular site if many top categories

// 2005-01-20 K.OHWADA
// add _MI_WEBLINKS_NEWDAYS
// delete _MI_WEBLINKS_RSS_NEW

// 2004-11-28 K.OHWADA
// add _MI_WEBLINKS_BNAME5
// delete _MI_WEBLINKS_POST

// 2004-11-20 K.OHWADA
// update of admin menu

// 2004-10-24 K.OHWADA
// broken link check
// URL-less mode
// category list block 
// admin can change the display number of subcategory
// description_type
// ratelink_use
// RSS/ATOM URL

// 2004-10-19 cb750
// translation for V0.7

//=========================================================
// language for Module Info
//=========================================================

//---------------------------------------------------------
// same as mylinks
//---------------------------------------------------------
// The name of this module
define("_MI_WEBLINKS_NAME","Web Links");

// A brief description of this module
define("_MI_WEBLINKS_DESC","Creates a web links section where users can search/submit/rate various web sites.");

// Names of blocks for this module (Not all module has blocks)
define("_MI_WEBLINKS_BNAME1","Recent Links");
define("_MI_WEBLINKS_BNAME2","Top Links");
define("_MI_WEBLINKS_BNAME3","Popular Links");

// Sub menu titles
define("_MI_WEBLINKS_SMNAME1","Submit");
define("_MI_WEBLINKS_SMNAME2","Popular Site");
define("_MI_WEBLINKS_SMNAME3","Top Rated Site");

// Names of admin menu items
define("_MI_WEBLINKS_ADMENU1","Module Configuration 2");
define("_MI_WEBLINKS_ADMENU2","Management of Category");
define("_MI_WEBLINKS_ADMENU3","Management of Link");
define("_MI_WEBLINKS_ADMENU4","Addt New Link");
define("_MI_WEBLINKS_ADMENU5","New Links Waiting for Validation");
define("_MI_WEBLINKS_ADMENU6","Modified Links Waiting for Validation");
define("_MI_WEBLINKS_ADMENU7","Broken Link Reports");
//define("_MI_WEBLINKS_ADMENU8","Link Checker");

//-------------------------------------
// Title of config items
// Description of each config items
//-------------------------------------
define('_MI_WEBLINKS_POPULAR', 'Select the number of hits for links to be marked as popular');
define('_MI_WEBLINKS_POPULARDSC', 'Enter the minimum number of hits to show "POPULAR" icon. <br /> When select 0, not show icon. ');
define('_MI_WEBLINKS_NEWLINKS', 'Select the maximum number of new links displayed on top page');

//define('_MI_WEBLINKS_NEWLINKSDSC', 'Enter the maximum number of links to be displayed in the "New Links" block. ');
define('_MI_WEBLINKS_NEWLINKSDSC', 'Enter the maximum number of links to be displayed in the Main page. ');

define('_MI_WEBLINKS_PERPAGE', 'Select the maximum number of links displayed in each page');
define('_MI_WEBLINKS_PERPAGEDSC', 'Enter the maximum number of links to be shown with details per page');

//define('_MI_WEBLINKS_USESHOTS', 'Select yes to display screenshot images for each link');
//define('_MI_WEBLINKS_USESHOTSDSC', '');
//define('_MI_WEBLINKS_SHOTWIDTH', 'Maximum allowed width of each screenshot image');
//define('_MI_WEBLINKS_SHOTWIDTHDSC', '');

//define('_MI_WEBLINKS_ANONPOST','Allow anonymous users to post links?');
//define('_MI_WEBLINKS_AUTOAPPROVE','Auto approve new links without admin intervention?');
//define('_MI_WEBLINKS_AUTOAPPROVEDSC','');

//-------------------------------------
// Text for notifications
//-------------------------------------
define('_MI_WEBLINKS_GLOBAL_NOTIFY', 'Global');
define('_MI_WEBLINKS_GLOBAL_NOTIFYDSC', 'Global links notification options.');

define('_MI_WEBLINKS_CATEGORY_NOTIFY', 'Category');
define('_MI_WEBLINKS_CATEGORY_NOTIFYDSC', 'Notification options that apply to the current link category.');

define('_MI_WEBLINKS_LINK_NOTIFY', 'Link');
define('_MI_WEBLINKS_LINK_NOTIFYDSC', 'Notification options that aply to the current link.');

define('_MI_WEBLINKS_GLOBAL_NEWCATEGORY_NOTIFY', 'New Category');
define('_MI_WEBLINKS_GLOBAL_NEWCATEGORY_NOTIFYCAP', 'Notify me when a new link category is created.');
define('_MI_WEBLINKS_GLOBAL_NEWCATEGORY_NOTIFYDSC', 'Receive notification when a new link category is created.');
define('_MI_WEBLINKS_GLOBAL_NEWCATEGORY_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notify : New link category');

define('_MI_WEBLINKS_GLOBAL_LINKMODIFY_NOTIFY', 'Modify Link Requested');
define('_MI_WEBLINKS_GLOBAL_LINKMODIFY_NOTIFYCAP', 'Notify me of any link modification request.');
define('_MI_WEBLINKS_GLOBAL_LINKMODIFY_NOTIFYDSC', 'Receive notification when any link modification request is submitted.');
define('_MI_WEBLINKS_GLOBAL_LINKMODIFY_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notify : Link Modification Requested');

define('_MI_WEBLINKS_GLOBAL_LINKBROKEN_NOTIFY', 'Broken Link Submitted');
define('_MI_WEBLINKS_GLOBAL_LINKBROKEN_NOTIFYCAP', 'Notify me of any broken link report.');
define('_MI_WEBLINKS_GLOBAL_LINKBROKEN_NOTIFYDSC', 'Receive notification when any broken link report is submitted.');
define('_MI_WEBLINKS_GLOBAL_LINKBROKEN_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notify : Broken Link Reported');

define('_MI_WEBLINKS_GLOBAL_LINKSUBMIT_NOTIFY', 'New Link Submitted');
define('_MI_WEBLINKS_GLOBAL_LINKSUBMIT_NOTIFYCAP', 'Notify me when any new link is submitted (awaiting approval).');
define('_MI_WEBLINKS_GLOBAL_LINKSUBMIT_NOTIFYDSC', 'Receive notification when any new link is submitted (awaiting approval).');
define('_MI_WEBLINKS_GLOBAL_LINKSUBMIT_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notify : New link submitted');

define('_MI_WEBLINKS_GLOBAL_NEWLINK_NOTIFY', 'New Link');
define('_MI_WEBLINKS_GLOBAL_NEWLINK_NOTIFYCAP', 'Notify me when any new link is posted.');
define('_MI_WEBLINKS_GLOBAL_NEWLINK_NOTIFYDSC', 'Receive notification when any new link is posted.');
define('_MI_WEBLINKS_GLOBAL_NEWLINK_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notify : New link');

define('_MI_WEBLINKS_CATEGORY_LINKSUBMIT_NOTIFY', 'New Link Submitted');
define('_MI_WEBLINKS_CATEGORY_LINKSUBMIT_NOTIFYCAP', 'Notify me when a new link is submitted (awaiting approval) to the current category.');
define('_MI_WEBLINKS_CATEGORY_LINKSUBMIT_NOTIFYDSC', 'Receive notification when a new link is submitted (awaiting approval) to the current category.');
define('_MI_WEBLINKS_CATEGORY_LINKSUBMIT_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notify : New link submitted in category');

define('_MI_WEBLINKS_CATEGORY_NEWLINK_NOTIFY', 'New Link');
define('_MI_WEBLINKS_CATEGORY_NEWLINK_NOTIFYCAP', 'Notify me when a new link is posted to the current category.');
define('_MI_WEBLINKS_CATEGORY_NEWLINK_NOTIFYDSC', 'Receive notification when a new link is posted to the current category.');
define('_MI_WEBLINKS_CATEGORY_NEWLINK_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notify : New link in category');

define('_MI_WEBLINKS_LINK_APPROVE_NOTIFY', 'Link Approved');
define('_MI_WEBLINKS_LINK_APPROVE_NOTIFYCAP', 'Notify me when this link is approved.');
define('_MI_WEBLINKS_LINK_APPROVE_NOTIFYDSC', 'Receive notification when this link is approved.');
define('_MI_WEBLINKS_LINK_APPROVE_NOTIFYSBJ', '[{X_SITENAME}] {X_MODULE} auto-notify : Link approved');


//---------------------------------------------------------
// weblinks
//---------------------------------------------------------
// === Names of blocks for this module ===
define("_MI_WEBLINKS_BNAME4","Category list of Web links");
define("_MI_WEBLINKS_BNAME5","Latest RSS/ATOM feeds of Web links");
define("_MI_WEBLINKS_BNAME6","Show blog of Web links");

//-------------------------------------
// Title of config items
//-------------------------------------
define('_MI_WEBLINKS_LOGOSHOW','Display the module logo image');
define('_MI_WEBLINKS_LOGOSHOWDSC', 'Select "YES" to display the module logo image.');

define('_MI_WEBLINKS_TITLESHOW','Display the module title');
define('_MI_WEBLINKS_TITLESHOWDSC', 'Select "YES" to display the module title');

define('_MI_WEBLINKS_NEWDAYS', 'Select the number of days for links to be marked as new');
define('_MI_WEBLINKS_NEWDAYS_DSC', 'Enter the number of hits to show "NEW" icon. <br /> When select 0, not show icon. ');

define('_MI_WEBLINKS_DESCSHORT', 'Maximum number of characters used for link list explanation ');
define('_MI_WEBLINKS_DESCSHORTDSC', 'Enter the maximum number of characters to be used for link list explanation. ');

define('_MI_WEBLINKS_ORDERBY', 'Default value of sort on link detail display');
define('_MI_WEBLINKS_ODERBYTDSC', 'Enter default value of sort on link detail display.');
define("_MI_WEBLINKS_ORDERBY0","Title (A to Z)");
define("_MI_WEBLINKS_ORDERBY1","Title (Z to A)");
define("_MI_WEBLINKS_ORDERBY2","Date (Registration in ascending order)");
define("_MI_WEBLINKS_ORDERBY3","Date (Registration in descending order)");
define("_MI_WEBLINKS_ORDERBY4","Rating (ascending order)");
define("_MI_WEBLINKS_ORDERBY5","Rating (descending order)");
define("_MI_WEBLINKS_ORDERBY6","Popularity (ascending order)");
define("_MI_WEBLINKS_ORDERBY7","Popularity (descending order)");

define('_MI_WEBLINKS_SEARCH_LINKS','Number of links displayed on a search result page');
define('_MI_WEBLINKS_SEARCH_LINKSDSC', 'Enter the maximum number of links to be displayed on a search result page');

define('_MI_WEBLINKS_SEARCH_MIN', 'Minimum number of letters for a search keyword');
define('_MI_WEBLINKS_SEARCH_MINDSC', 'Enter the minimum number of characters for a search keyword ');

define('_MI_WEBLINKS_USEFRAMES', 'Would you like to display the linked page withing a frame?');
define('_MI_WEBLINKS_USEFRAMEDSC', 'Whether displaying a link page inside the frame');

define('_MI_WEBLINKS_BROKEN','Number of link broken count to stop a display');
define('_MI_WEBLINKS_BROKENDSC', 'Enter the number of Number of link broken count to stop a display. <br /> When below this value, it will be regarded as a temporary errort, and nothig to do. <br />When over this numerical value, regarding as a fixed error, and stop a display.');

define('_MI_WEBLINKS_LISTIMAGE_USE','Use link images for a link list');
define('_MI_WEBLINKS_LISTIMAGE_WIDTH','Maximum width of a link image');
define('_MI_WEBLINKS_LISTIMAGE_HEIGHT','Maximum length of a link image');
define('_MI_WEBLINKS_LISTIMAGE_USEDSC', 'Select "YES" to show link images when displaying a list of links');

define('_MI_WEBLINKS_LINKIMAGE_USE','Use link images for link details display');
define('_MI_WEBLINKS_LINKIMAGE_WIDTH','Maximum width of an image for link details display');
define('_MI_WEBLINKS_LINKIMAGE_HEIGHT','Maximum length of an image for link details display');
define('_MI_WEBLINKS_LINKIMAGE_USEDSC', 'Select "YES" to show link images when link details are displayed.');

// 2005-10-20 K.OHWADA
define('_MI_WEBLINKS_TOPTEN_STYLE','Style of topten');
define('_MI_WEBLINKS_TOPTEN_STYLE_DSC', 'Select style in "Popular Site" and "Top Rated Site". ');
define('_MI_WEBLINKS_TOPTEN_STYLE_0','each top categories');
define('_MI_WEBLINKS_TOPTEN_STYLE_1','mixed all categories');

define('_MI_WEBLINKS_TOPTEN_LINKS', 'The maximum number of topten links');
define('_MI_WEBLINKS_TOPTEN_LINKS_DSC', 'Enter the maximum number of links to be displayed in "Popular Site" and "Top Rated Site". ');

define('_MI_WEBLINKS_TOPTEN_CATS','The maximum number of categories in topten');
define('_MI_WEBLINKS_TOPTEN_CATS_DSC', 'Enter the maximum number of categories  to be displayed in "Popular Site" and "Top Rated Site". <br />timeout occurs, if too many top categories');

?>